<template>
    <modal name="payResult"
           class="arcticmodal-container full-viewport"
           width="600"
           height="auto"
           adaptive
           :clickToClose="false"
           @before-open="beforeOpen"
           @before-close="beforeClose">
        <div class="container m-header">
            <div @click="close" class="box-modal_close arcticmodal-close"></div>
            <div class="row">
                <div class="column">
                    <h3>Результат оплаты</h3>
                </div>
            </div>
        </div>
        <div class="white-block"
             :class="{'coupons-action-container': state === 1 && $coupons === 1, 'no-border-bottom': $interface.viewport === 'mobile'}">
            <div class="padding" v-if="state === 1 && [0, 2].includes($coupons)">
                <div class="row pay-result pay-result-success">
                    <div class="column">
                        <div class="white-block">
                            <div class="padding">
                                <img src="/lk/static/img/loan/result-success.png" alt=""/>
                                <h3 class="header">Оплата выполнена</h3>
                                <p style="text-align: center">
                                    Деньги поступят на Ваш счет в течение 10 минут. Вы получите СМС.
                                </p>
                                <button @click="close" class="blue">Перейти к займу</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row pay-result " v-if="state === 1 && $coupons === 1">
                <div class="status">
                    <img src="/lk/static/img/loan/result-success.png" alt=""/>
                    <h3 class="header">Оплата выполнена</h3>
                    <p style="text-align: center">
                        Деньги поступят на Ваш счет в течение 10 минут. Вы получите СМС.
                    </p>
                </div>
                <div class="coupons-action" :class="{ bottom: $interface.isMobile}">
                    <p style="text-align: justify">Вам доступны персональные купоны со скидками. Хотите
                        принять участие в акциях и сэкономить на покупках?</p>
                    <span class="link" @click="openPageCoupon">Получить скидки</span>
                </div>
            </div>

            <div class="padding" v-if="state === 2">
                <div class="row pay-result pay-result-error">
                    <div class="column">
                        <div class="white-block">
                            <div class="padding">
                                <img src="/lk/static/img/loan/result-error.png" alt=""/>
                                <h3 class="header">Не получилось!</h3>
                                <p style="text-align: center">
                                    Во время оплаты произошла ошибка.
                                </p>
                                <button @click="close">Попробовать ещё раз</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </modal>
</template>
<script>
    import { EventBus } from '../../utils/event-bus';
    import { mapGetters } from 'vuex';

    export default {
        name: 'payResult',
        props: {
            state: {
                type: Number,
                required: true,
            }
        },
        created() {
            console.log('PayResult.vue state', this.state);
        },
        computed: {
            ...mapGetters(['$coupons'])
        },
        mounted() {
            console.log('$coupons', this.$coupons);
        },
        methods: {

            beforeOpen(event) {
                this.$helpers.noscroll(true);
            },

            beforeClose() {
                console.log('PayResult::beforeClose');
                this.$helpers.noscroll(false);
                if (this.state === 1) {
                    this.$parent.$parent.$parent.$parent.componentToShow = '';
                    this.$emit('close');
                }
                else if (this.state === 2) {
                    EventBus.$emit('setActivePaymentMethod', '');
                }
            },

            close() {
                this.$modal.hide('payResult');
                this.$emit('close');
            },
            openPageCoupon() {
                window.open('https://coupon.webbankir.com/', '_blank');
                this.$store.commit('SHOW_COUPONS', 2);
                this.close();
            }
        }
    };
</script>
<style scoped lang="scss">
    h3 {
        margin-bottom: 0px !important;
    }

    .buttons {
        text-align: center
    }

    .coupons-action-container {
        margin-bottom: 0 !important;

        &.no-border-bottom {
            border-bottom: 0 !important;
        }

        & .coupons-action {
            background: #fafbfc;
            padding: 40px 0;
            & p {
                color: #000 !important;
            }
            & span.link {
                font-weight: bold !important;
            }
            &.bottom {
                position: absolute;
                bottom: 40px;
            }

        }
    }


</style>


